Subject: Re: [PATCH] download: Add url-fetch/xz-file.

From: Hilton Chain <[email-masked]>
Date: Mon, 03 Jul 2023 15:37:14 +0800

On Sun, 26 Feb 2023 03:25:24 +0800,
Tobias Geerinckx-Rice wrote:
> 
> Hi Hilton,
> 
> I agree with Ludo' and also wonder if a generic
> ‘url-fetch/compressed-file’ wouldn't be better.  There are closure
> arguments to be made for this xz-only approach.  I don't know if
> they're convincing.  Cluebats welcome.
> 
> (I was going to bring up ‘url-fetch/tarbomb’ as an example, but it
> doesn't actually handle anything besides gzip!  Madness.)
> 
> On 2023-01-25 10:07, Hilton Chain wrote:
> > +                            (setenv "XZ_OPT"
> > +                                    (string-join (%xz-parallel-args)))
> 
> Why set this kluge…
> 
> > +                            (invoke (string-append #+xz "/bin/unxz")
> > +                                    #$file-name)
> 
> …when we have full control over xz's arguments?
> 
> Kind regards,
> 
> T G-R
> 
> Sent from a Web browser.  Excuse or enjoy my brevity.

Sorry for the long delay...

Yes, I would prefer a generic approach. But currently I don't have a
usecase with this url-fetch/xz-file or something more generic, so I'll
close the issue for now.